Bug 185336 - games/angband Update to version 3.5.0
Summary: games/angband Update to version 3.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-30 21:10 UTC by tkato432
Modified: 2014-01-04 00:30 UTC (History)
0 users

See Also:


Attachments
file.diff (20.48 KB, patch)
2013-12-30 21:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-30 21:10:08 UTC
- Update to version 3.5.0

Remove file:
files/patch-configure
Comment 1 Danilo Egea Gondolfo freebsd_committer 2013-12-31 02:55:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 dfilter service freebsd_committer 2014-01-04 00:22:41 UTC
Author: danilo
Date: Sat Jan  4 00:22:33 2014
New Revision: 338604
URL: http://svnweb.freebsd.org/changeset/ports/338604

Log:
  - Update from 3.4.1 to 3.5.0
  - Convert USE_GMAKE to USES
  - Add stage support
  - Use options helpers
  
  PR:		ports/185336
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Deleted:
  head/games/angband/files/
Modified:
  head/games/angband/Makefile
  head/games/angband/distinfo
  head/games/angband/pkg-plist

Modified: head/games/angband/Makefile
==============================================================================
--- head/games/angband/Makefile	Sat Jan  4 00:17:38 2014	(r338603)
+++ head/games/angband/Makefile	Sat Jan  4 00:22:33 2014	(r338604)
@@ -2,36 +2,47 @@
 # $FreeBSD$
 
 PORTNAME=	angband
-PORTVERSION=	3.4.1
+PORTVERSION=	3.5.0
+DISTVERSIONPREFIX=	v
 CATEGORIES=	games
 MASTER_SITES=	http://rephial.org/downloads/${PORTVERSION:R}/
-DISTNAME=	${PORTNAME}-v${PORTVERSION}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Rogue-like game with color, X11 support
 
-USE_GMAKE=	yes
-ALL_TARGET=	#
+LICENSE=	GPLv2
+
+OPTIONS_DEFINE=		SDL X11
+OPTIONS_DEFAULT=	X11
+
+USES=		gmake ncurses
 GNU_CONFIGURE=	yes
-CONFIGURE_ARGS=	--with-setgid=games --localstatedir=/var
-LDFLAGS+=	-lncursesw
+CONFIGURE_ENV=	ac_cv_path_NCURSES_CONFIG=${TRUE}
+CONFIGURE_ARGS=	--localstatedir=/var
 
-OPTIONS_DEFINE=	X11
-X11_DESC=	Enable X11 (graphical) backend
+CPPFLAGS+=	-I${NCURSESINC}
+LDFLAGS+=	-L${NCURSESLIB} -lncursesw
 
-OPTIONS_DEFAULT=X11
+SDL_USE=		SDL=image,mixer,ttf,sdl
+SDL_CONFIGURE_ENABLE=	sdl
 
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MX11}
-USE_XORG=	sm x11
-RUN_DEPENDS=	xorg-fonts-miscbitmaps>=0:${PORTSDIR}/x11-fonts/xorg-fonts-miscbitmaps
-.else
-CONFIGURE_ARGS+=--disable-x11
-.endif
+X11_USE=		XORG=sm,x11
+X11_RUN_DEPENDS=	xorg-fonts-miscbitmaps>=0:${PORTSDIR}/x11-fonts/xorg-fonts-miscbitmaps
+X11_CONFIGURE_ENABLE=	x11
 
 post-patch:
-	@${REINPLACE_CMD} -e 's|-Wno-missing-field-initializers ||; s|/games$$|/bin|' ${WRKSRC}/configure
+	@${REINPLACE_CMD} -e \
+		's|-Wno-missing-field-initializers || ; \
+		 s|/games$$|/bin|' ${WRKSRC}/configure
+	@${REINPLACE_CMD} -e \
+		's|.SILENT:||' ${WRKSRC}/mk/buildsys.mk.in
+	@${REINPLACE_CMD} -e \
+		's|-O0||' ${WRKSRC}/src/Makefile
+
+post-install:
+	@${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/angband
+.for i in apex save user
+	@${MKDIR} ${STAGEDIR}${DATADIR}/${i}
+.endfor
 
 .include <bsd.port.mk>

Modified: head/games/angband/distinfo
==============================================================================
--- head/games/angband/distinfo	Sat Jan  4 00:17:38 2014	(r338603)
+++ head/games/angband/distinfo	Sat Jan  4 00:22:33 2014	(r338604)
@@ -1,2 +1,2 @@
-SHA256 (angband-v3.4.1.tar.gz) = 461e36d22c15df330b4d4eaa850e4f2c2da6731d23e99fa13a056249343fd945
-SIZE (angband-v3.4.1.tar.gz) = 17880537
+SHA256 (angband-v3.5.0.tar.gz) = 3d3c3a8839ef97613d5e29c116c5e88c93b913485768106ad4906c75069085ec
+SIZE (angband-v3.5.0.tar.gz) = 20907673

Modified: head/games/angband/pkg-plist
==============================================================================
--- head/games/angband/pkg-plist	Sat Jan  4 00:17:38 2014	(r338603)
+++ head/games/angband/pkg-plist	Sat Jan  4 00:22:33 2014	(r338604)
@@ -1,134 +1,342 @@
+@group games
+@mode 2555
 bin/angband
-etc/angband/edit/artifact.txt
-etc/angband/edit/ego_item.txt
-etc/angband/edit/flavor.txt
-etc/angband/edit/hints.txt
-etc/angband/edit/limits.txt
-etc/angband/edit/monster.txt
-etc/angband/edit/monster_base.txt
-etc/angband/edit/names.txt
-etc/angband/edit/object.txt
-etc/angband/edit/object_base.txt
-etc/angband/edit/p_class.txt
-etc/angband/edit/p_hist.txt
-etc/angband/edit/p_race.txt
-etc/angband/edit/pain.txt
-etc/angband/edit/pit.txt
-etc/angband/edit/shop_own.txt
-etc/angband/edit/spell.txt
-etc/angband/edit/store.txt
-etc/angband/edit/terrain.txt
-etc/angband/edit/vault.txt
-etc/angband/pref/flvr-dvg.prf
-etc/angband/pref/flvr-new.prf
-etc/angband/pref/flvr-nmd.prf
-etc/angband/pref/flvr-shb.prf
-etc/angband/pref/flvr-xxx.prf
-etc/angband/pref/font-gcu.prf
-etc/angband/pref/font-mac.prf
-etc/angband/pref/font-sdl.prf
-etc/angband/pref/font-win.prf
-etc/angband/pref/font-x11.prf
-etc/angband/pref/font-xxx.prf
-etc/angband/pref/font.prf
-etc/angband/pref/graf-dvg.prf
-etc/angband/pref/graf-new.prf
-etc/angband/pref/graf-nmd.prf
-etc/angband/pref/graf-shb.prf
-etc/angband/pref/graf-xxx.prf
-etc/angband/pref/graf.prf
-etc/angband/pref/message.prf
-etc/angband/pref/pref.prf
-etc/angband/pref/user.prf
-etc/angband/pref/xtra-dvg.prf
-etc/angband/pref/xtra-new.prf
-etc/angband/pref/xtra-nmd.prf
-etc/angband/pref/xtra-shb.prf
-etc/angband/pref/xtra-xxx.prf
-share/angband/file/crown.txt
-share/angband/file/dead.txt
-share/angband/file/news.txt
-share/angband/help/attack.txt
-share/angband/help/birth.txt
-share/angband/help/command.txt
-share/angband/help/debug.txt
-share/angband/help/dungeon.txt
-share/angband/help/general.txt
-share/angband/help/help.hlp
-share/angband/help/option.txt
-share/angband/help/playing.txt
-share/angband/help/readme.txt
-share/angband/help/version.txt
-share/angband/info/readme.txt
-share/angband/xtra/angband.glade
-share/angband/xtra/font/10x14x.fon
-share/angband/xtra/font/10x14xb.fon
-share/angband/xtra/font/10x20x.fon
-share/angband/xtra/font/12x18x.fon
-share/angband/xtra/font/12x24x.fon
-share/angband/xtra/font/16x16x.fon
-share/angband/xtra/font/16x24x.fon
-share/angband/xtra/font/5x8x.fon
-share/angband/xtra/font/6x10x.fon
-share/angband/xtra/font/6x12x.fon
-share/angband/xtra/font/6x13x.fon
-share/angband/xtra/font/6x13xb.fon
-share/angband/xtra/font/7x13x.fon
-share/angband/xtra/font/7x13xb.fon
-share/angband/xtra/font/8x12x.fon
-share/angband/xtra/font/8x12xb.fon
-share/angband/xtra/font/8x13x.fon
-share/angband/xtra/font/8x16x.fon
-share/angband/xtra/font/8x8x.fon
-share/angband/xtra/font/8x8xb.fon
-share/angband/xtra/font/9x15x.fon
-share/angband/xtra/font/9x15xb.fon
-share/angband/xtra/graf/16x16.png
-share/angband/xtra/graf/32x32.png
-share/angband/xtra/graf/64x64.png
-share/angband/xtra/graf/8x16.png
-share/angband/xtra/graf/8x8.png
-share/angband/xtra/graf/graphics.txt
-share/angband/xtra/graf/mr_att.png
-share/angband/xtra/icon/angband-sdl.desktop
-share/angband/xtra/icon/angband-x11.desktop
-share/angband/xtra/icon/att-128.png
-share/angband/xtra/icon/att-16.png
-share/angband/xtra/icon/att-256.png
-share/angband/xtra/icon/att-32.png
-share/angband/xtra/icon/att-512.png
-share/angband/xtra/sound/breath.wav
-share/angband/xtra/sound/clunk.wav
-share/angband/xtra/sound/death.wav
-share/angband/xtra/sound/destroy.wav
-share/angband/xtra/sound/drop.wav
-share/angband/xtra/sound/eat.wav
-share/angband/xtra/sound/flee.wav
-share/angband/xtra/sound/hallu.wav
-share/angband/xtra/sound/hit.wav
-share/angband/xtra/sound/hit1.wav
-share/angband/xtra/sound/kill.wav
-share/angband/xtra/sound/kill1.wav
-share/angband/xtra/sound/level.wav
-share/angband/xtra/sound/miss.wav
-share/angband/xtra/sound/miss1.wav
-share/angband/xtra/sound/money.wav
-share/angband/xtra/sound/opendoor.wav
-share/angband/xtra/sound/shutdoor.wav
-share/angband/xtra/sound/sound.cfg
-share/angband/xtra/sound/thump.wav
-share/angband/xtra/sound/vomit.wav
-@exec chmod g+w %D/share/angband/apex %D/share/angband/bone %D/share/angband/data %D/share/angband/save
-@exec chgrp games %D/share/angband/apex %D/share/angband/bone %D/share/angband/data %D/share/angband/save
-@dirrm share/angband/file
-@dirrm share/angband/help
-@dirrm share/angband/info
-@dirrm share/angband/xtra/sound
-@dirrm share/angband/xtra/icon
-@dirrm share/angband/xtra/graf
-@dirrm share/angband/xtra/font
-@dirrm share/angband/xtra
-@dirrm share/angband
-@dirrm etc/angband/pref
-@dirrm etc/angband/edit
-@dirrm etc/angband
+@mode
+@group
+%%ETCDIR%%/edit/artifact.txt
+%%ETCDIR%%/edit/ego_item.txt
+%%ETCDIR%%/edit/flavor.txt
+%%ETCDIR%%/edit/hints.txt
+%%ETCDIR%%/edit/limits.txt
+%%ETCDIR%%/edit/monster.txt
+%%ETCDIR%%/edit/monster_base.txt
+%%ETCDIR%%/edit/names.txt
+%%ETCDIR%%/edit/object.txt
+%%ETCDIR%%/edit/object_base.txt
+%%ETCDIR%%/edit/p_class.txt
+%%ETCDIR%%/edit/p_hist.txt
+%%ETCDIR%%/edit/p_race.txt
+%%ETCDIR%%/edit/pain.txt
+%%ETCDIR%%/edit/pit.txt
+%%ETCDIR%%/edit/room_template.txt
+%%ETCDIR%%/edit/spell.txt
+%%ETCDIR%%/edit/store.txt
+%%ETCDIR%%/edit/terrain.txt
+%%ETCDIR%%/edit/vault.txt
+%%ETCDIR%%/pref/flvr-dvg.prf
+%%ETCDIR%%/pref/flvr-new.prf
+%%ETCDIR%%/pref/flvr-nmd.prf
+%%ETCDIR%%/pref/flvr-shb.prf
+%%ETCDIR%%/pref/flvr-xxx.prf
+%%ETCDIR%%/pref/font-gcu.prf
+%%ETCDIR%%/pref/font-sdl.prf
+%%ETCDIR%%/pref/font-win.prf
+%%ETCDIR%%/pref/font-x11.prf
+%%ETCDIR%%/pref/font-xxx.prf
+%%ETCDIR%%/pref/font.prf
+%%ETCDIR%%/pref/graf-dvg.prf
+%%ETCDIR%%/pref/graf-new.prf
+%%ETCDIR%%/pref/graf-nmd.prf
+%%ETCDIR%%/pref/graf-shb.prf
+%%ETCDIR%%/pref/graf-xxx.prf
+%%ETCDIR%%/pref/graf.prf
+%%ETCDIR%%/pref/keys-gcu.prf
+%%ETCDIR%%/pref/message.prf
+%%ETCDIR%%/pref/pref.prf
+%%ETCDIR%%/pref/user.prf
+%%ETCDIR%%/pref/xtra-dvg.prf
+%%ETCDIR%%/pref/xtra-new.prf
+%%ETCDIR%%/pref/xtra-nmd.prf
+%%ETCDIR%%/pref/xtra-shb.prf
+%%ETCDIR%%/pref/xtra-xxx.prf
+%%DATADIR%%/file/crown.txt
+%%DATADIR%%/file/dead.txt
+%%DATADIR%%/file/news.txt
+%%DATADIR%%/help/attack.txt
+%%DATADIR%%/help/birth.txt
+%%DATADIR%%/help/command.txt
+%%DATADIR%%/help/debug.txt
+%%DATADIR%%/help/dungeon.txt
+%%DATADIR%%/help/general.txt
+%%DATADIR%%/help/help.hlp
+%%DATADIR%%/help/option.txt
+%%DATADIR%%/help/playing.txt
+%%DATADIR%%/help/readme.txt
+%%DATADIR%%/help/version.txt
+%%DATADIR%%/info/readme.txt
+@exec mkdir -p %D/%%DATADIR%%/save
+@exec mkdir -p %D/%%DATADIR%%/user
+@exec mkdir -p %D/%%DATADIR%%/apex
+%%DATADIR%%/xtra/angband.glade
+%%DATADIR%%/xtra/font/10x14x.fon
+%%DATADIR%%/xtra/font/10x14xb.fon
+%%DATADIR%%/xtra/font/10x20x.fon
+%%DATADIR%%/xtra/font/12x18x.fon
+%%DATADIR%%/xtra/font/12x24x.fon
+%%DATADIR%%/xtra/font/16x16x.fon
+%%DATADIR%%/xtra/font/16x24x.fon
+%%DATADIR%%/xtra/font/5x8x.fon
+%%DATADIR%%/xtra/font/6x10x.fon
+%%DATADIR%%/xtra/font/6x12x.fon
+%%DATADIR%%/xtra/font/6x13x.fon
+%%DATADIR%%/xtra/font/6x13xb.fon
+%%DATADIR%%/xtra/font/7x13x.fon
+%%DATADIR%%/xtra/font/7x13xb.fon
+%%DATADIR%%/xtra/font/8x12x.fon
+%%DATADIR%%/xtra/font/8x12xb.fon
+%%DATADIR%%/xtra/font/8x13x.fon
+%%DATADIR%%/xtra/font/8x16x.fon
+%%DATADIR%%/xtra/font/8x8x.fon
+%%DATADIR%%/xtra/font/8x8xb.fon
+%%DATADIR%%/xtra/font/9x15x.fon
+%%DATADIR%%/xtra/font/9x15xb.fon
+%%DATADIR%%/xtra/graf/16x16.png
+%%DATADIR%%/xtra/graf/32x32.png
+%%DATADIR%%/xtra/graf/64x64.png
+%%DATADIR%%/xtra/graf/8x16.png
+%%DATADIR%%/xtra/graf/8x8.png
+%%DATADIR%%/xtra/graf/graphics.txt
+%%DATADIR%%/xtra/graf/mr_att.png
+%%DATADIR%%/xtra/icon/angband-sdl.desktop
+%%DATADIR%%/xtra/icon/angband-x11.desktop
+%%DATADIR%%/xtra/icon/att-128.png
+%%DATADIR%%/xtra/icon/att-16.png
+%%DATADIR%%/xtra/icon/att-256.png
+%%DATADIR%%/xtra/icon/att-32.png
+%%DATADIR%%/xtra/icon/att-512.png
+%%DATADIR%%/xtra/sound/amb_bell_metal1.mp3
+%%DATADIR%%/xtra/sound/amb_bell_metal2.mp3
+%%DATADIR%%/xtra/sound/amb_bell_tibet1.mp3
+%%DATADIR%%/xtra/sound/amb_bell_tibet2.mp3
+%%DATADIR%%/xtra/sound/amb_bell_tibet3.mp3
+%%DATADIR%%/xtra/sound/amb_door_doom.mp3
+%%DATADIR%%/xtra/sound/amb_door_iron.mp3
+%%DATADIR%%/xtra/sound/amb_dungeon_echo.mp3
+%%DATADIR%%/xtra/sound/amb_dungeon_echowet.mp3
+%%DATADIR%%/xtra/sound/amb_gong_chinese.mp3
+%%DATADIR%%/xtra/sound/amb_gong_low.mp3
+%%DATADIR%%/xtra/sound/amb_gong_strike.mp3
+%%DATADIR%%/xtra/sound/amb_gong_undertone.mp3
+%%DATADIR%%/xtra/sound/amb_guitar_chord.mp3
+%%DATADIR%%/xtra/sound/amb_pulse_low.mp3
+%%DATADIR%%/xtra/sound/amb_thunder_rain.mp3
+%%DATADIR%%/xtra/sound/amb_thunder_roll.mp3
+%%DATADIR%%/xtra/sound/id_bad_aww.mp3
+%%DATADIR%%/xtra/sound/id_bad_dang.mp3
+%%DATADIR%%/xtra/sound/id_bad_hmm.mp3
+%%DATADIR%%/xtra/sound/id_bad_hmph.mp3
+%%DATADIR%%/xtra/sound/id_bad_ohh.mp3
+%%DATADIR%%/xtra/sound/id_ego_whoa.mp3
+%%DATADIR%%/xtra/sound/id_ego_woohoo.mp3
+%%DATADIR%%/xtra/sound/id_ego_yeah.mp3
+%%DATADIR%%/xtra/sound/id_ego_yeah2.mp3
+%%DATADIR%%/xtra/sound/id_ego_yes.mp3
+%%DATADIR%%/xtra/sound/id_good_hey.mp3
+%%DATADIR%%/xtra/sound/id_good_hey2.mp3
+%%DATADIR%%/xtra/sound/id_good_hmm.mp3
+%%DATADIR%%/xtra/sound/id_good_huh.mp3
+%%DATADIR%%/xtra/sound/id_good_ooh.mp3
+%%DATADIR%%/xtra/sound/id_good_ooo.mp3
+%%DATADIR%%/xtra/sound/id_good_wow.mp3
+%%DATADIR%%/xtra/sound/mco_attack_breath.mp3
+%%DATADIR%%/xtra/sound/mco_attack_spray.mp3
+%%DATADIR%%/xtra/sound/mco_bite_chew.mp3
+%%DATADIR%%/xtra/sound/mco_bite_chomp.mp3
+%%DATADIR%%/xtra/sound/mco_bite_dainty.mp3
+%%DATADIR%%/xtra/sound/mco_bite_gnash.mp3
+%%DATADIR%%/xtra/sound/mco_bite_hard.mp3
+%%DATADIR%%/xtra/sound/mco_bite_long.mp3
+%%DATADIR%%/xtra/sound/mco_bite_munch.mp3
+%%DATADIR%%/xtra/sound/mco_bite_regular.mp3
+%%DATADIR%%/xtra/sound/mco_bite_short.mp3
+%%DATADIR%%/xtra/sound/mco_bite_small.mp3
+%%DATADIR%%/xtra/sound/mco_bite_soft.mp3
+%%DATADIR%%/xtra/sound/mco_card_shuffle.mp3
+%%DATADIR%%/xtra/sound/mco_castanet_trill.mp3
+%%DATADIR%%/xtra/sound/mco_ceramic_trill.mp3
+%%DATADIR%%/xtra/sound/mco_click_vibra.mp3
+%%DATADIR%%/xtra/sound/mco_creature_choking.mp3
+%%DATADIR%%/xtra/sound/mco_creature_groan.mp3
+%%DATADIR%%/xtra/sound/mco_creature_yelp.mp3
+%%DATADIR%%/xtra/sound/mco_cuica_rubbing.mp3
+%%DATADIR%%/xtra/sound/mco_dino_low.mp3
+%%DATADIR%%/xtra/sound/mco_dino_slur.mp3
+%%DATADIR%%/xtra/sound/mco_dino_talk.mp3
+%%DATADIR%%/xtra/sound/mco_dino_yawn.mp3
+%%DATADIR%%/xtra/sound/mco_dub_wobble.mp3
+%%DATADIR%%/xtra/sound/mco_frog_trill.mp3
+%%DATADIR%%/xtra/sound/mco_hit_whip.mp3
+%%DATADIR%%/xtra/sound/mco_howl_croak.mp3
+%%DATADIR%%/xtra/sound/mco_howl_deep.mp3
+%%DATADIR%%/xtra/sound/mco_howl_distressed.mp3
+%%DATADIR%%/xtra/sound/mco_howl_high.mp3
+%%DATADIR%%/xtra/sound/mco_howl_long.mp3
+%%DATADIR%%/xtra/sound/mco_liquid_squirt.mp3
+%%DATADIR%%/xtra/sound/mco_man_mumble.mp3
+%%DATADIR%%/xtra/sound/mco_mouse_squeaks.mp3
+%%DATADIR%%/xtra/sound/mco_rubber_thud.mp3
+%%DATADIR%%/xtra/sound/mco_scurry_dry.mp3
+%%DATADIR%%/xtra/sound/mco_shake_roll.mp3
+%%DATADIR%%/xtra/sound/mco_snarl_short.mp3
+%%DATADIR%%/xtra/sound/mco_spray_long.mp3
+%%DATADIR%%/xtra/sound/mco_squish_hit.mp3
+%%DATADIR%%/xtra/sound/mco_squish_snap.mp3
+%%DATADIR%%/xtra/sound/mco_strange_music.mp3
+%%DATADIR%%/xtra/sound/mco_strange_thwoink.mp3
+%%DATADIR%%/xtra/sound/mco_thoing_backwards.mp3
+%%DATADIR%%/xtra/sound/mco_thoing_deep.mp3
+%%DATADIR%%/xtra/sound/mco_thud_crash.mp3
+%%DATADIR%%/xtra/sound/mco_tube_hit.mp3
+%%DATADIR%%/xtra/sound/plc_bell_warn.mp3
+%%DATADIR%%/xtra/sound/plc_die_laugh.mp3
+%%DATADIR%%/xtra/sound/plc_hit_anvil.mp3
+%%DATADIR%%/xtra/sound/plc_hit_anvil2.mp3
+%%DATADIR%%/xtra/sound/plc_hit_arrow.mp3
+%%DATADIR%%/xtra/sound/plc_hit_body.mp3
+%%DATADIR%%/xtra/sound/plc_hit_groan.mp3
+%%DATADIR%%/xtra/sound/plc_hit_grunt.mp3
+%%DATADIR%%/xtra/sound/plc_hit_grunt2.mp3
+%%DATADIR%%/xtra/sound/plc_hit_hay.mp3
+%%DATADIR%%/xtra/sound/plc_miss_arrow.mp3
+%%DATADIR%%/xtra/sound/plc_miss_arrow2.mp3
+%%DATADIR%%/xtra/sound/plc_miss_swish.mp3
+%%DATADIR%%/xtra/sound/plm_aim_wand.mp3
+%%DATADIR%%/xtra/sound/plm_bang_ceramic.mp3
+%%DATADIR%%/xtra/sound/plm_bang_dumpster.mp3
+%%DATADIR%%/xtra/sound/plm_bang_metal.mp3
+%%DATADIR%%/xtra/sound/plm_book_pageturn.mp3
+%%DATADIR%%/xtra/sound/plm_bottle_clinks.mp3
+%%DATADIR%%/xtra/sound/plm_break_canister.mp3
+%%DATADIR%%/xtra/sound/plm_break_glass.mp3
+%%DATADIR%%/xtra/sound/plm_break_glass2.mp3
+%%DATADIR%%/xtra/sound/plm_break_plates.mp3
+%%DATADIR%%/xtra/sound/plm_break_shatter.mp3
+%%DATADIR%%/xtra/sound/plm_break_smash.mp3
+%%DATADIR%%/xtra/sound/plm_break_wood.mp3
+%%DATADIR%%/xtra/sound/plm_cabinet_open.mp3
+%%DATADIR%%/xtra/sound/plm_cabinet_shut.mp3
+%%DATADIR%%/xtra/sound/plm_chain_light.mp3
+%%DATADIR%%/xtra/sound/plm_chest_latch.mp3
+%%DATADIR%%/xtra/sound/plm_chest_unlatch.mp3
+%%DATADIR%%/xtra/sound/plm_chimes_jangle.mp3
+%%DATADIR%%/xtra/sound/plm_click_dry.mp3
+%%DATADIR%%/xtra/sound/plm_click_switch.mp3
+%%DATADIR%%/xtra/sound/plm_click_switch2.mp3
+%%DATADIR%%/xtra/sound/plm_click_switch3.mp3
+%%DATADIR%%/xtra/sound/plm_click_wood.mp3
+%%DATADIR%%/xtra/sound/plm_close_hatch.mp3
+%%DATADIR%%/xtra/sound/plm_coins_dump.mp3
+%%DATADIR%%/xtra/sound/plm_coins_light.mp3
+%%DATADIR%%/xtra/sound/plm_coins_pour.mp3
+%%DATADIR%%/xtra/sound/plm_coins_shake.mp3
+%%DATADIR%%/xtra/sound/plm_cork_pop.mp3
+%%DATADIR%%/xtra/sound/plm_cork_squeak.mp3
+%%DATADIR%%/xtra/sound/plm_door_bolt.mp3
+%%DATADIR%%/xtra/sound/plm_door_creak.mp3
+%%DATADIR%%/xtra/sound/plm_door_creakshut.mp3
+%%DATADIR%%/xtra/sound/plm_door_dungeon.mp3
+%%DATADIR%%/xtra/sound/plm_door_echolock.mp3
+%%DATADIR%%/xtra/sound/plm_door_entrance.mp3
+%%DATADIR%%/xtra/sound/plm_door_knob.mp3
+%%DATADIR%%/xtra/sound/plm_door_latch.mp3
+%%DATADIR%%/xtra/sound/plm_door_open.mp3
+%%DATADIR%%/xtra/sound/plm_door_opening.mp3
+%%DATADIR%%/xtra/sound/plm_door_rusty.mp3
+%%DATADIR%%/xtra/sound/plm_door_shut.mp3
+%%DATADIR%%/xtra/sound/plm_door_slam.mp3
+%%DATADIR%%/xtra/sound/plm_door_squeaky.mp3
+%%DATADIR%%/xtra/sound/plm_door_wooden.mp3
+%%DATADIR%%/xtra/sound/plm_drop_boot.mp3
+%%DATADIR%%/xtra/sound/plm_eat_bite.mp3
+%%DATADIR%%/xtra/sound/plm_floor_creak.mp3
+%%DATADIR%%/xtra/sound/plm_floor_creak2.mp3
+%%DATADIR%%/xtra/sound/plm_glass_break.mp3
+%%DATADIR%%/xtra/sound/plm_glass_breaking.mp3
+%%DATADIR%%/xtra/sound/plm_glass_smashing.mp3
+%%DATADIR%%/xtra/sound/plm_jar_ding.mp3
+%%DATADIR%%/xtra/sound/plm_levelup.mp3
+%%DATADIR%%/xtra/sound/plm_lock_case.mp3
+%%DATADIR%%/xtra/sound/plm_lock_distant.mp3
+%%DATADIR%%/xtra/sound/plm_metal_clank.mp3
+%%DATADIR%%/xtra/sound/plm_metal_sharpen.mp3
+%%DATADIR%%/xtra/sound/plm_open_case.mp3
+%%DATADIR%%/xtra/sound/plm_spell1.mp3
+%%DATADIR%%/xtra/sound/plm_spell2.mp3
+%%DATADIR%%/xtra/sound/plm_spell3.mp3
+%%DATADIR%%/xtra/sound/plm_use_staff.mp3
+%%DATADIR%%/xtra/sound/plm_wood_thud.mp3
+%%DATADIR%%/xtra/sound/plm_zap_rod.mp3
+%%DATADIR%%/xtra/sound/pls_bell_bowl.mp3
+%%DATADIR%%/xtra/sound/pls_bell_chime_new.mp3
+%%DATADIR%%/xtra/sound/pls_bell_glass.mp3
+%%DATADIR%%/xtra/sound/pls_bell_hibell_soft.mp3
+%%DATADIR%%/xtra/sound/pls_bell_mute.mp3
+%%DATADIR%%/xtra/sound/pls_bell_sustain.mp3
+%%DATADIR%%/xtra/sound/pls_breathe_in.mp3
+%%DATADIR%%/xtra/sound/pls_man_argoh.mp3
+%%DATADIR%%/xtra/sound/pls_man_gulp_new.mp3
+%%DATADIR%%/xtra/sound/pls_man_oooh.mp3
+%%DATADIR%%/xtra/sound/pls_man_scream2.mp3
+%%DATADIR%%/xtra/sound/pls_man_sigh.mp3
+%%DATADIR%%/xtra/sound/pls_man_sniff.mp3
+%%DATADIR%%/xtra/sound/pls_man_sob.mp3
+%%DATADIR%%/xtra/sound/pls_man_spit.mp3
+%%DATADIR%%/xtra/sound/pls_man_ugh.mp3
+%%DATADIR%%/xtra/sound/pls_man_yell.mp3
+%%DATADIR%%/xtra/sound/pls_tone_blurk.mp3
+%%DATADIR%%/xtra/sound/pls_tone_clave6.mp3
+%%DATADIR%%/xtra/sound/pls_tone_clavelo8.mp3
+%%DATADIR%%/xtra/sound/pls_tone_conk.mp3
+%%DATADIR%%/xtra/sound/pls_tone_elec.mp3
+%%DATADIR%%/xtra/sound/pls_tone_goblet.mp3
+%%DATADIR%%/xtra/sound/pls_tone_guiro.mp3
+%%DATADIR%%/xtra/sound/pls_tone_headstock.mp3
+%%DATADIR%%/xtra/sound/pls_tone_scrape.mp3
+%%DATADIR%%/xtra/sound/pls_tone_stick.mp3
+%%DATADIR%%/xtra/sound/sound.cfg
+%%DATADIR%%/xtra/sound/sto_bell_desk.mp3
+%%DATADIR%%/xtra/sound/sto_bell_ding.mp3
+%%DATADIR%%/xtra/sound/sto_bell_dingaling.mp3
+%%DATADIR%%/xtra/sound/sto_bell_jingles.mp3
+%%DATADIR%%/xtra/sound/sto_bell_register1.mp3
+%%DATADIR%%/xtra/sound/sto_bell_register2.mp3
+%%DATADIR%%/xtra/sound/sto_bell_ringing.mp3
+%%DATADIR%%/xtra/sound/sto_bell_shop.mp3
+%%DATADIR%%/xtra/sound/sto_coins_countertop.mp3
+%%DATADIR%%/xtra/sound/sto_man_haha.mp3
+%%DATADIR%%/xtra/sound/sto_man_hey.mp3
+%%DATADIR%%/xtra/sound/sto_man_whoohaha.mp3
+%%DATADIR%%/xtra/sound/sum_angel_song.mp3
+%%DATADIR%%/xtra/sound/sum_bell_crystal.mp3
+%%DATADIR%%/xtra/sound/sum_bell_hand.mp3
+%%DATADIR%%/xtra/sound/sum_bell_tone.mp3
+%%DATADIR%%/xtra/sound/sum_chime_jangle.mp3
+%%DATADIR%%/xtra/sound/sum_ghost_moan.mp3
+%%DATADIR%%/xtra/sound/sum_ghost_oooo.mp3
+%%DATADIR%%/xtra/sound/sum_ghost_wail.mp3
+%%DATADIR%%/xtra/sound/sum_gong_temple.mp3
+%%DATADIR%%/xtra/sound/sum_laugh_evil2.mp3
+%%DATADIR%%/xtra/sound/sum_lion_growl.mp3
+%%DATADIR%%/xtra/sound/sum_piano_scrape.mp3
+%%PORTDOCS%%%%DOCSDIR%%/manual.html
+%%PORTDOCS%%%%DOCSDIR%%/manual.pdf
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
+@dirrm %%DATADIR%%/xtra/sound
+@dirrm %%DATADIR%%/xtra/icon
+@dirrm %%DATADIR%%/xtra/graf
+@dirrm %%DATADIR%%/xtra/font
+@dirrm %%DATADIR%%/xtra
+@group games
+@mode 0775
+@dirrmtry %%DATADIR%%/user
+@dirrmtry %%DATADIR%%/save
+@dirrmtry %%DATADIR%%/apex
+@mode
+@group
+@dirrm %%DATADIR%%/info
+@dirrm %%DATADIR%%/help
+@dirrm %%DATADIR%%/file
+@dirrmtry %%DATADIR%%
+@dirrm %%ETCDIR%%/pref
+@dirrm %%ETCDIR%%/edit
+@dirrm %%ETCDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Danilo Egea Gondolfo freebsd_committer 2014-01-04 00:22:44 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!